<html>
  <body>
    <button onclick="on()">Lights on</button>
    <p id="test"></p>
  </body>

  <script>
    function on() {
      console.log("on");
      var url = "http://192.168.1.207:8181/lightstate";
      var request = new XMLHttpRequest();
      request.onload = function() {
        var status = request.status;
        var data = request.responseText;
      }

      request.open('POST', url, true);
      request.setRequestHeader("Content-Type", "application/json");
      request.send("")

      //var ws = new WebSocket('ws://192.168.1.207:8181', 'echo-protocol');
      //ws.send({'state': 'on'});
      //ws.close();
      //document.getElementById("test").innerHTML += 'on<br/>';
    }
  </script>
</html>
